services:
  mariadb:
    extends:
      file: ${TEMPLATES_PATH}
      service: default
    image: mariadb:12.2.2
    container_name: mariadb
    command: --character-set-server=utf8mb4 --collation-server=utf8mb4_unicode_ci
    networks:
      - ip4net
    environment:
      MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASSWORD}
    volumes:
      - ${DB_PATH}/mariadb/data:/var/lib/mysql
      # init db
      - ${DB_PATH}/mariadb/init:/docker-entrypoint-initdb.d
